﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace API
{
    public class Repository
    {
        public int BugCount { get { return bugs.Count(); } }

        private List<Bug> bugs = new List<Bug>();

        public void InsertBug(Bug bug)
        {
            bugs.Add(bug);
        }

        public bool Contains(Bug b)
        {
            return bugs.Contains(b);
        }

        public Bug Single(Func<Bug, bool> func)
        {
            return bugs.Single(func);
        }

        public IQueryable<Bug> Where(Func<Bug, bool> func)
        {
            return bugs.Where(func).AsQueryable();
        }
    }
}
